import request from '@/utils/request'

//查询订单费用结算申请列表
export function list(query) {
  return request({
    url: '/core/orderSettlementApplication/list',
    method: 'get',
    params: query
  })
}

//获取结算订单列表
export function settlementOrderList(query) {
    return request({
      url: '/core/users/orders/web/settlementOrderList',
      method: 'get',
      params: query
    })
  }
//导出订单费用结算申请列表
export function exportEx(data) {
    return request({
      url: `/core/orderSettlementApplication/export`,
      method: 'post',
      data
    })
  }
 //区域公司订单抽成结算
 export function regionalsettlement(data) {
  return request({
    url: `/core/users/orders/area/settlement`,
    method: 'post',
    data
  })
}
 //服务中心订单抽成结算
 export function serviceSettlement(data) {
  return request({
    url: `/core/users/orders/serviceCentre/settlement`,
    method: 'post',
    data
  })
}



  //结算申请
export function applyOrderSettlement(data) {
    return request({
      url: `/core/orderSettlementApplication/web/applyOrderSettlement`,
      method: 'post',
      data
    })
  }


//区域公司/服务中心订单结算审核
export function auditorOrderSettlement(data) {
  return request({
    url: `/core/orderSettlementApplication/web/auditorOrderSettlement`,
    method: 'post',
    data
  })
}


export function sendCode(phone) {
  return request({
    url: `/sms/sendCode/${phone}`,
    method: 'get',
  })
}


